<?php

namespace Container35X5zJE;
include_once \dirname(__DIR__, 5).''.\DIRECTORY_SEPARATOR.'vendor'.\DIRECTORY_SEPARATOR.'sulu'.\DIRECTORY_SEPARATOR.'sulu'.\DIRECTORY_SEPARATOR.'src'.\DIRECTORY_SEPARATOR.'Sulu'.\DIRECTORY_SEPARATOR.'Bundle'.\DIRECTORY_SEPARATOR.'AdminBundle'.\DIRECTORY_SEPARATOR.'Metadata'.\DIRECTORY_SEPARATOR.'FormMetadata'.\DIRECTORY_SEPARATOR.'FormMetadataLoaderInterface.php';
include_once \dirname(__DIR__, 5).''.\DIRECTORY_SEPARATOR.'vendor'.\DIRECTORY_SEPARATOR.'symfony'.\DIRECTORY_SEPARATOR.'http-kernel'.\DIRECTORY_SEPARATOR.'CacheWarmer'.\DIRECTORY_SEPARATOR.'CacheWarmerInterface.php';
include_once \dirname(__DIR__, 5).''.\DIRECTORY_SEPARATOR.'vendor'.\DIRECTORY_SEPARATOR.'sulu'.\DIRECTORY_SEPARATOR.'sulu'.\DIRECTORY_SEPARATOR.'src'.\DIRECTORY_SEPARATOR.'Sulu'.\DIRECTORY_SEPARATOR.'Bundle'.\DIRECTORY_SEPARATOR.'AdminBundle'.\DIRECTORY_SEPARATOR.'Metadata'.\DIRECTORY_SEPARATOR.'FormMetadata'.\DIRECTORY_SEPARATOR.'StructureFormMetadataLoader.php';

class StructureFormMetadataLoader_d440bd8 extends \Sulu\Bundle\AdminBundle\Metadata\FormMetadata\StructureFormMetadataLoader implements \ProxyManager\Proxy\VirtualProxyInterface
{

    /**
     * @var \Closure|null initializer responsible for generating the wrapped object
     */
    private $valueHolder3c4b1 = null;

    /**
     * @var \Closure|null initializer responsible for generating the wrapped object
     */
    private $initializer70e27 = null;

    /**
     * @var bool[] map of public properties of the parent class
     */
    private static $publicProperties6ead2 = [
        
    ];

    public function getMetadata(string $key, ?string $locale = null, array $metadataOptions = []) : ?\Sulu\Bundle\AdminBundle\Metadata\MetadataInterface
    {
        $this->initializer70e27 && ($this->initializer70e27->__invoke($valueHolder3c4b1, $this, 'getMetadata', array('key' => $key, 'locale' => $locale, 'metadataOptions' => $metadataOptions), $this->initializer70e27) || 1) && $this->valueHolder3c4b1 = $valueHolder3c4b1;

        return $this->valueHolder3c4b1->getMetadata($key, $locale, $metadataOptions);
    }

    public function warmUp($cacheDir)
    {
        $this->initializer70e27 && ($this->initializer70e27->__invoke($valueHolder3c4b1, $this, 'warmUp', array('cacheDir' => $cacheDir), $this->initializer70e27) || 1) && $this->valueHolder3c4b1 = $valueHolder3c4b1;

        return $this->valueHolder3c4b1->warmUp($cacheDir);
    }

    public function isOptional()
    {
        $this->initializer70e27 && ($this->initializer70e27->__invoke($valueHolder3c4b1, $this, 'isOptional', array(), $this->initializer70e27) || 1) && $this->valueHolder3c4b1 = $valueHolder3c4b1;

        return $this->valueHolder3c4b1->isOptional();
    }

    /**
     * Constructor for lazy initialization
     *
     * @param \Closure|null $initializer
     */
    public static function staticProxyConstructor($initializer)
    {
        static $reflection;

        $reflection = $reflection ?? new \ReflectionClass(__CLASS__);
        $instance = $reflection->newInstanceWithoutConstructor();

        \Closure::bind(function (\Sulu\Bundle\AdminBundle\Metadata\FormMetadata\StructureFormMetadataLoader $instance) {
            unset($instance->structureMetadataFactory, $instance->formMetadataMapper, $instance->webspaceManager, $instance->fieldMetadataValidator, $instance->defaultTypes, $instance->locales, $instance->cacheDir, $instance->debug);
        }, $instance, 'Sulu\\Bundle\\AdminBundle\\Metadata\\FormMetadata\\StructureFormMetadataLoader')->__invoke($instance);

        $instance->initializer70e27 = $initializer;

        return $instance;
    }

    public function __construct(\Sulu\Component\Content\Metadata\Factory\StructureMetadataFactoryInterface $structureMetadataFactory, \Sulu\Bundle\AdminBundle\FormMetadata\FormMetadataMapper $formMetadataMapper, \Sulu\Component\Webspace\Manager\WebspaceManagerInterface $webspaceManager, \Sulu\Bundle\AdminBundle\Metadata\FormMetadata\Validation\FieldMetadataValidatorInterface $fieldMetadataValidator, array $defaultTypes, array $locales, string $cacheDir, bool $debug)
    {
        static $reflection;

        if (! $this->valueHolder3c4b1) {
            $reflection = $reflection ?? new \ReflectionClass('Sulu\\Bundle\\AdminBundle\\Metadata\\FormMetadata\\StructureFormMetadataLoader');
            $this->valueHolder3c4b1 = $reflection->newInstanceWithoutConstructor();
        \Closure::bind(function (\Sulu\Bundle\AdminBundle\Metadata\FormMetadata\StructureFormMetadataLoader $instance) {
            unset($instance->structureMetadataFactory, $instance->formMetadataMapper, $instance->webspaceManager, $instance->fieldMetadataValidator, $instance->defaultTypes, $instance->locales, $instance->cacheDir, $instance->debug);
        }, $this, 'Sulu\\Bundle\\AdminBundle\\Metadata\\FormMetadata\\StructureFormMetadataLoader')->__invoke($this);

        }

        $this->valueHolder3c4b1->__construct($structureMetadataFactory, $formMetadataMapper, $webspaceManager, $fieldMetadataValidator, $defaultTypes, $locales, $cacheDir, $debug);
    }

    public function & __get($name)
    {
        $this->initializer70e27 && ($this->initializer70e27->__invoke($valueHolder3c4b1, $this, '__get', ['name' => $name], $this->initializer70e27) || 1) && $this->valueHolder3c4b1 = $valueHolder3c4b1;

        if (isset(self::$publicProperties6ead2[$name])) {
            return $this->valueHolder3c4b1->$name;
        }

        $realInstanceReflection = new \ReflectionClass(get_parent_class($this));

        if (! $realInstanceReflection->hasProperty($name)) {
            $targetObject = $this->valueHolder3c4b1;

            $backtrace = debug_backtrace(false);
            trigger_error(
                sprintf(
                    'Undefined property: %s::$%s in %s on line %s',
                    get_parent_class($this),
                    $name,
                    $backtrace[0]['file'],
                    $backtrace[0]['line']
                ),
                \E_USER_NOTICE
            );
            return $targetObject->$name;
            return;
        }

        $targetObject = $this->valueHolder3c4b1;
        $accessor = function & () use ($targetObject, $name) {
            return $targetObject->$name;
        };
        $backtrace = debug_backtrace(true);
        $scopeObject = isset($backtrace[1]['object']) ? $backtrace[1]['object'] : new \ProxyManager\Stub\EmptyClassStub();
        $accessor = $accessor->bindTo($scopeObject, get_class($scopeObject));
        $returnValue = & $accessor();

        return $returnValue;
    }

    public function __set($name, $value)
    {
        $this->initializer70e27 && ($this->initializer70e27->__invoke($valueHolder3c4b1, $this, '__set', array('name' => $name, 'value' => $value), $this->initializer70e27) || 1) && $this->valueHolder3c4b1 = $valueHolder3c4b1;

        $realInstanceReflection = new \ReflectionClass(get_parent_class($this));

        if (! $realInstanceReflection->hasProperty($name)) {
            $targetObject = $this->valueHolder3c4b1;

            return $targetObject->$name = $value;
            return;
        }

        $targetObject = $this->valueHolder3c4b1;
        $accessor = function & () use ($targetObject, $name, $value) {
            return $targetObject->$name = $value;
        };
        $backtrace = debug_backtrace(true);
        $scopeObject = isset($backtrace[1]['object']) ? $backtrace[1]['object'] : new \ProxyManager\Stub\EmptyClassStub();
        $accessor = $accessor->bindTo($scopeObject, get_class($scopeObject));
        $returnValue = & $accessor();

        return $returnValue;
    }

    public function __isset($name)
    {
        $this->initializer70e27 && ($this->initializer70e27->__invoke($valueHolder3c4b1, $this, '__isset', array('name' => $name), $this->initializer70e27) || 1) && $this->valueHolder3c4b1 = $valueHolder3c4b1;

        $realInstanceReflection = new \ReflectionClass(get_parent_class($this));

        if (! $realInstanceReflection->hasProperty($name)) {
            $targetObject = $this->valueHolder3c4b1;

            return isset($targetObject->$name);
            return;
        }

        $targetObject = $this->valueHolder3c4b1;
        $accessor = function () use ($targetObject, $name) {
            return isset($targetObject->$name);
        };
        $backtrace = debug_backtrace(true);
        $scopeObject = isset($backtrace[1]['object']) ? $backtrace[1]['object'] : new \ProxyManager\Stub\EmptyClassStub();
        $accessor = $accessor->bindTo($scopeObject, get_class($scopeObject));
        $returnValue = $accessor();

        return $returnValue;
    }

    public function __unset($name)
    {
        $this->initializer70e27 && ($this->initializer70e27->__invoke($valueHolder3c4b1, $this, '__unset', array('name' => $name), $this->initializer70e27) || 1) && $this->valueHolder3c4b1 = $valueHolder3c4b1;

        $realInstanceReflection = new \ReflectionClass(get_parent_class($this));

        if (! $realInstanceReflection->hasProperty($name)) {
            $targetObject = $this->valueHolder3c4b1;

            unset($targetObject->$name);
            return;
        }

        $targetObject = $this->valueHolder3c4b1;
        $accessor = function () use ($targetObject, $name) {
            unset($targetObject->$name);
        };
        $backtrace = debug_backtrace(true);
        $scopeObject = isset($backtrace[1]['object']) ? $backtrace[1]['object'] : new \ProxyManager\Stub\EmptyClassStub();
        $accessor = $accessor->bindTo($scopeObject, get_class($scopeObject));
        $returnValue = $accessor();

        return $returnValue;
    }

    public function __clone()
    {
        $this->initializer70e27 && ($this->initializer70e27->__invoke($valueHolder3c4b1, $this, '__clone', array(), $this->initializer70e27) || 1) && $this->valueHolder3c4b1 = $valueHolder3c4b1;

        $this->valueHolder3c4b1 = clone $this->valueHolder3c4b1;
    }

    public function __sleep()
    {
        $this->initializer70e27 && ($this->initializer70e27->__invoke($valueHolder3c4b1, $this, '__sleep', array(), $this->initializer70e27) || 1) && $this->valueHolder3c4b1 = $valueHolder3c4b1;

        return array('valueHolder3c4b1');
    }

    public function __wakeup()
    {
        \Closure::bind(function (\Sulu\Bundle\AdminBundle\Metadata\FormMetadata\StructureFormMetadataLoader $instance) {
            unset($instance->structureMetadataFactory, $instance->formMetadataMapper, $instance->webspaceManager, $instance->fieldMetadataValidator, $instance->defaultTypes, $instance->locales, $instance->cacheDir, $instance->debug);
        }, $this, 'Sulu\\Bundle\\AdminBundle\\Metadata\\FormMetadata\\StructureFormMetadataLoader')->__invoke($this);
    }

    public function setProxyInitializer(\Closure $initializer = null)
    {
        $this->initializer70e27 = $initializer;
    }

    public function getProxyInitializer()
    {
        return $this->initializer70e27;
    }

    public function initializeProxy() : bool
    {
        return $this->initializer70e27 && ($this->initializer70e27->__invoke($valueHolder3c4b1, $this, 'initializeProxy', array(), $this->initializer70e27) || 1) && $this->valueHolder3c4b1 = $valueHolder3c4b1;
    }

    public function isProxyInitialized() : bool
    {
        return null !== $this->valueHolder3c4b1;
    }

    public function getWrappedValueHolderValue() : ?object
    {
        return $this->valueHolder3c4b1;
    }


}

if (!\class_exists('StructureFormMetadataLoader_d440bd8', false)) {
    \class_alias(__NAMESPACE__.'\\StructureFormMetadataLoader_d440bd8', 'StructureFormMetadataLoader_d440bd8', false);
}
